package com.bjlt.spider.bean;

import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

public class AirSourceLineMapper implements RowMapper<AirSourceLine> {



    @Override
    public AirSourceLine mapRow(ResultSet resultSet, int i) throws SQLException {
        AirSourceLine airSourceLine = new AirSourceLine();
        airSourceLine.setId(resultSet.getInt("id"));
        airSourceLine.setAirSourceid(resultSet.getInt("air_source_id"));
        airSourceLine.setFromCity(resultSet.getString("from_city"));
        airSourceLine.setFromCityName(resultSet.getString("from_city_name"));
        airSourceLine.setToCity(resultSet.getString("to_city"));
        airSourceLine.setToCityName(resultSet.getString("to_city_name"));
        airSourceLine.setFromCity(resultSet.getString("from_city"));
        airSourceLine.setEditUser(resultSet.getString("edit_user"));
        airSourceLine.setUpdateTime(resultSet.getDate("update_time"));
        airSourceLine.setAddTime(resultSet.getTime("add_time"));
        airSourceLine.setStatus(resultSet.getInt("status"));
        airSourceLine.setCurrencyCode(resultSet.getString("currency_code"));
        return airSourceLine;
    }
}
