package com.bjlt.spider.dao.impl;

import com.bjlt.spider.dao.SeAirlineNoDataDao;
import com.bjlt.spider.entity.SeAirlineNoData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.*;

import org.springframework.stereotype.Repository;

import java.util.*;
import java.util.stream.*;
/**
* se_airline_no_data
*/
@Repository
public class SeAirlineNoDataDaoImpl implements SeAirlineNoDataDao {
	@Autowired
	private JdbcTemplate jdbcTemplate;




    @Override
    public void insertSelective(SeAirlineNoData seAirlineNoData) {
		StringBuffer s = new StringBuffer();
		s.append("insert into se_airline_no_data(");
        Map<String, Object> m = map(seAirlineNoData);
        s.append(String.join(",", m.keySet()));
        s.append(") values (");
		List<String> wenhao = m.keySet().stream().map(t -> "?").collect(Collectors.toList());

	s.append(String.join(",", wenhao));
		s.append(")");
        System.out.println(s.toString());
        jdbcTemplate.update(s.toString(), m.values().toArray());
	}

    @Override
    public void updateByPrimaryKeySelective(SeAirlineNoData seAirlineNoData) {
		StringBuffer s = new StringBuffer();
		s.append("update se_airline_no_data set ");
        Map<String, Object> m = map(seAirlineNoData);
        String update = m.keySet().stream().map(t -> t + "=?").collect(Collectors.joining(","));
        s.append(update);
        System.out.println(update);
        s.append(" where 	id=" + seAirlineNoData.getId());
        jdbcTemplate.update(s.toString(), m.values().toArray());

	}



    @Override
    public List<SeAirlineNoData> listSeAirlineNoData(SeAirlineNoData seAirlineNoData) {
        StringBuffer s=new StringBuffer();
        String select = "select id, from_city, to_city, from_date, ret_date, state, search_date, mark, type from se_airline_no_data ";
        s.append(select );
        Map<String,Object> m=map(seAirlineNoData);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
        RowMapper<SeAirlineNoData> rowMapper = new BeanPropertyRowMapper<SeAirlineNoData>(SeAirlineNoData.class);
        List<SeAirlineNoData> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

        return list;
	}
    @Override
	public void  deleteSeAirlineNoData(SeAirlineNoData seAirlineNoData){
		StringBuffer s=new StringBuffer();
		String select = "delete  from se_airline_no_data ";
        Map<String,Object> m=map(seAirlineNoData);
        s.append(select);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
		jdbcTemplate.update(s.toString(),m.values().toArray());

	}
	private static Map<String,Object> map(SeAirlineNoData seAirlineNoData) {
		Map<String,Object> map=new HashMap();
    	if (seAirlineNoData.getId() != null) {
            map.put("id",seAirlineNoData.getId());
    	}
    	if (seAirlineNoData.getFromCity() != null && !seAirlineNoData.getFromCity().equals("")) {
            map.put("from_city",seAirlineNoData.getFromCity());
    	}
    	if (seAirlineNoData.getToCity() != null && !seAirlineNoData.getToCity().equals("")) {
            map.put("to_city",seAirlineNoData.getToCity());
    	}
    	if (seAirlineNoData.getFromDate() != null && !seAirlineNoData.getFromDate().equals("")) {
            map.put("from_date",seAirlineNoData.getFromDate());
    	}
    	if (seAirlineNoData.getRetDate() != null && !seAirlineNoData.getRetDate().equals("")) {
            map.put("ret_date",seAirlineNoData.getRetDate());
    	}
    	if (seAirlineNoData.getState() != null) {
            map.put("state",seAirlineNoData.getState());
    	}
    	if (seAirlineNoData.getSearchDate() != null && !seAirlineNoData.getSearchDate().equals("")) {
            map.put("search_date",seAirlineNoData.getSearchDate());
    	}
    	if (seAirlineNoData.getMark() != null && !seAirlineNoData.getMark().equals("")) {
            map.put("mark",seAirlineNoData.getMark());
    	}
    	if (seAirlineNoData.getType() != null) {
            map.put("type",seAirlineNoData.getType());
    	}

		return map;

	}
	private Integer count(String where,Object[] objects) {
		String sql = "select count(*) from se_airline_no_data " + where;
		return jdbcTemplate.queryForObject(sql, Integer.class,objects);
	}




}
