package com.bjlt.spider.entity;

import com.bjlt.spider.util.Page;
import lombok.Builder;

import java.util.Date;

/**
 * se_airline_no_data
 */
@Builder
public class SeAirlineNoData  extends Page {

	/**
	   
	 */
	private Integer id;
	
	/**
	   出发城市
	 */
	private String fromCity;
	
	/**
	   到达站
	 */
	private String toCity;
	
	/**
	   出发日期
	 */
	private String fromDate;
	
	/**
	   回程日期
	 */
	private String retDate;
	
	/**
	   状态：0 查询失败 1 去程和回程都无车次
	 */
	private Integer state;
	
	/**
	   查询日期
	 */
	private Date searchDate;
	
	/**
	   备注
	 */
	private String mark;
	
	/**
	   0 手机端 1pc端
	 */
	private Integer type;
	
		

	
	
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	} 
	
	public String getFromCity() {
		return fromCity;
	}

	public void setFromCity(String fromCity) {
		this.fromCity = fromCity;
	} 
	
	public String getToCity() {
		return toCity;
	}

	public void setToCity(String toCity) {
		this.toCity = toCity;
	} 
	
	public String getFromDate() {
		return fromDate;
	}

	public void setFromDate(String fromDate) {
		this.fromDate = fromDate;
	} 
	
	public String getRetDate() {
		return retDate;
	}

	public void setRetDate(String retDate) {
		this.retDate = retDate;
	} 
	
	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	} 
	
	public Date getSearchDate() {
		return searchDate;
	}

	public void setSearchDate(Date searchDate) {
		this.searchDate = searchDate;
	} 
	
	public String getMark() {
		return mark;
	}

	public void setMark(String mark) {
		this.mark = mark;
	} 
	
	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	} 
	

}
