package com.bjlt.spider.entity;
import com.bjlt.spider.util.Page;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * tripto_custom_addprice
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TriptoCustomAddprice   extends Page implements  Serializable {
	private static final long serialVersionUID = -5312945017627603702L;

	/**
	   
	 */
	private Integer id;
	
	/**
	   文件编号
	 */
	private String filename;
	
	/**
	   
	 */
	private String method;
	
	/**
	   
	 */
	private String platform;
	
	/**
	   
	 */
	private String dptAirport;
	
	/**
	   
	 */
	private String arrAirport;
	
	/**
	   
	 */
	private String flyStartday;
	
	/**
	   
	 */
	private String flyEndday;
	
	/**
	   
	 */
	private String excludeFlyStartday;
	
	/**
	   
	 */
	private String excludeFlyEndday;
	
	/**
	   1，适用 2，排除 3，全部
	 */
	private Integer flightNoStatus;
	
	/**
	   
	 */
	private String flightNo;
	
	/**
	   是否按照固定价格匹配 1， 是 0否
	 */
	private Integer isSalePrice;
	
	/**
	   固定价格
	 */
	private Double salePrice;
	
	/**
	   加价百分比
	 */
	private Double addPricePercent;
	
	/**
	   加价金额
	 */
	private Integer addPrice;
	
	/**
	   政策添加人
	 */
	private String name;
	
	/**
	   官网人民币总价参考
	 */
	private Double webrmbPrice;
	
	/**
	   积分人民币总价参考
	 */
	private Double bigrmbPrice;
	
	/**
	   差价参考
	 */
	private Double priceDifference;
	
	/**
	   备注
	 */
	private String mark;
	
	/**
	   
	 */
	private Integer enable;
	
	/**
	   
	 */
	private String index;
	
	/**
	   更新时间
	 */
	private String modifytime;
	
	/**
	   去哪比价工具的价格
	 */
	private String parePrice;
	
	/**
	   价格区间起点
	 */
	private Double priceFrom;
	
	/**
	   价格区间终点
	 */
	private Double priceTo;
	
	/**
	   调价金额
	 */
	private Double priceRange;
	
	/**
	   调价百分比
	 */
	private Double pricePercent;


	/**
	 * 积分剩余座位数
	 */
	private Integer bigSeatCount;


	private String bigCore;
	
}
