package com.bjlt.spider.init;

import com.bjlt.spider.config.Config;
import com.bjlt.spider.dao.IAirSourceLineDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author: luyanan0718@163.com
 * @create :2018/4/11 11:18
 * @introduce :
 **/

@Component
public class CityCurrencyInit  implements CommandLineRunner {



	@Autowired
	Config config;

	@Autowired
	IAirSourceLineDao airSourceLineDao;

	@Override
	public void run(String... strings) throws Exception {

		Map<String,String> map= airSourceLineDao.getAllCityCurrency();
		config.setCityCurrency(map);
	}
}
