package com.bjlt.spider.runner;

import com.bjlt.spider.bean.AirSourceLine;
import com.bjlt.spider.bean.ExchangeRateInstance;
import com.bjlt.spider.config.Config;
import com.bjlt.spider.dao.IAirSourceLineDao;
import com.bjlt.spider.service.IAirSoureLineService;
import com.bjlt.spider.utils.ActiveMQUtil;
import com.luyn.date.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.jms.JMSException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;


/**
 * 读取数据库中的航线数据扔MQ
 */
@Component
@Deprecated
public class SendAireSoureLineRunner implements CommandLineRunner {



    @Autowired
    IAirSoureLineService airSoureLineService;


    @Autowired
    Config config;


    @Override
    public void run(String... args) throws Exception {
        if(false){
            System.out.println("向MQ发送查询key已经开启~~~~~~~~~~~~~~~~~~~~");
            new Thread(
                    ()->{
                        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
                        List<AirSourceLine> airSourceLines = airSoureLineService.selectAirSourceLine();
                        for (int i = 7; i <= 60; i++) {
                            for (AirSourceLine airSoure: airSourceLines) {
                                System.out.println("is  send message to mq :"+ExchangeRateInstance.getInstance().getState());
                                //判断是否开启扔MQ
                                if(!ExchangeRateInstance.getInstance().getState()){
                                    while (true){
                                        if(ExchangeRateInstance.getInstance().getState()){
                                            break;
                                        }
                                        try {
                                            Thread.sleep(2000L);
                                        } catch (InterruptedException e) {
                                            e.printStackTrace();
                                        }
                                    }
                                }

                                String fromCity = airSoure.getFromCity();
                                String toCity = airSoure.getToCity();
                                String format = sdf.format(DateUtil.getBeforeDay(new Date(), -i));
                                String searchKey = fromCity+"_"+toCity+"_"+format+"_"+airSoure.getCurrencyCode();
                                try {
                                    ActiveMQUtil.sendMessage(config.getMqAdress(),config.getMqSearchName(),searchKey);
                                } catch (JMSException e) {
                                    e.printStackTrace();
                                }
                                try {
                                    Thread.sleep(5000L);
                                } catch (InterruptedException e) {
                                    e.printStackTrace();
                                }
                            }
                        }
                    }
            ).start();
        }


    }
}
