package com.bjlt.spider.service.impl;
import java.util.*;

import com.bjlt.spider.bean.AirSourceLine;
import com.bjlt.spider.dao.SeAirsourceLineDao;
import com.bjlt.spider.entity.SeAirsourceLine;
import com.bjlt.spider.service.SeAirsourceLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * se_airsource_line
 */
@Service
public  class SeAirsourceLineServiceImpl implements SeAirsourceLineService{
    @Autowired
	private SeAirsourceLineDao seAirsourceLineDao;
	
	@Override
	public List<SeAirsourceLine> listPageSeAirsourceLine(SeAirsourceLine seAirsourceLine){
		return seAirsourceLineDao.listPageSeAirsourceLine(seAirsourceLine);
	}

	@Override
	public List<SeAirsourceLine> listSeAirsourceLine(SeAirsourceLine seAirsourceLine){
	    return seAirsourceLineDao.listSeAirsourceLine(seAirsourceLine);
	}  

	
	@Override
	public void  deleteSeAirsourceLine(SeAirsourceLine seAirsourceLine){
	     seAirsourceLineDao.deleteSeAirsourceLine(seAirsourceLine);
	}
	

	
	@Override
	public void insertSelective(SeAirsourceLine seAirsourceLine){
	 seAirsourceLineDao.insertSelective(seAirsourceLine);
	}
	
	@Override
	public void updateByPrimaryKeySelective(SeAirsourceLine seAirsourceLine){
		 seAirsourceLineDao.updateByPrimaryKeySelective(seAirsourceLine);
	}

	@Override
	public List<SeAirsourceLine> newlistSeAirsourceLine(boolean flag) {
        SeAirsourceLine seAirsourceLine = new SeAirsourceLine();
        seAirsourceLine.setAirSourceId(1);
        seAirsourceLine.setStatus(1);
        List<SeAirsourceLine> line = seAirsourceLineDao.listSeAirsourceLine(seAirsourceLine);
        if(flag){
            return  line;
        }

        List<SeAirsourceLine> tempAirSourceLines = new ArrayList<>();
        List<String> key = new ArrayList<>();
        for (SeAirsourceLine airSoureLine : line) {
            tempAirSourceLines.add(airSoureLine);
        }
        for (SeAirsourceLine airSourceLine : line) {
            String fromCity = airSourceLine.getFromCity();
            String toCity = airSourceLine.getToCity();
            if (key.contains(toCity + "_" + fromCity)) {
                continue;
            }
            for (SeAirsourceLine tempSorceLine : tempAirSourceLines) {
                if (tempSorceLine.getToCity().equals(fromCity)
                        && tempSorceLine.getFromCity().equals(toCity)) {
                    tempAirSourceLines.remove(tempSorceLine);
                    key.add(fromCity + "_" + toCity);
                    break;
                }
            }
        }
        return tempAirSourceLines;

	}

    @Override
    public void pulltheblack(String fromStation, String toStation) {
        seAirsourceLineDao.updateSeAirsourceLine(fromStation,toStation);
    }

}