package com.bjlt.spider.thread;

import com.bjlt.spider.entity.SeAirlineNoData;
import com.bjlt.spider.service.SeAirlineNoDataService;
import com.bjlt.spider.utils.SpringContextUtils;
import com.bjlt.spider.utils.request.ToolUtils;

import java.util.Date;
import java.util.List;

public class SaveErrorLineThread extends Thread {

    private SeAirlineNoDataService seAirlineNoDataService = SpringContextUtils.getBean(SeAirlineNoDataService.class);

    private String fromCity;

    private String toCity;

    private String fromDate;

    private String retDate;

    private int status;


    private int type;


    /**
     * @param fromCity 出发城市
     * @param toCity   到达城市
     * @param fromDate 发车时间
     * @param retDate  回程时间
     * @param status   错误状态
     * @param type     类型 0 bigapp 1 web
     */
    public SaveErrorLineThread(String fromCity, String toCity, String fromDate, String retDate, int status, int type) {
        this.fromCity = fromCity;
        this.toCity = toCity;
        this.fromDate = fromDate;
        this.retDate = retDate;
        this.status = status;
        this.type = type;
    }

    @Override
    public void run() {
        if(!ToolUtils.isEmpty(fromCity)&&!ToolUtils.isEmpty(toCity)&&
                !ToolUtils.isEmpty(fromDate)&&
                !ToolUtils.isEmpty(retDate)&&
                !ToolUtils.isEmpty(status)&&
                !ToolUtils.isEmpty(type)){
            SeAirlineNoData seAirlineNoData = SeAirlineNoData.builder().fromCity(fromCity)
                    .toCity(toCity).fromDate(fromDate).retDate(retDate).searchDate(new Date()).state(status).type(type).build();
//            SeAirlineNoData newseAirlineNoData = SeAirlineNoData.builder().fromCity(fromCity)
//                    .toCity(toCity).fromDate(fromDate).retDate(retDate).state(status).type(type).build();
//            List<SeAirlineNoData> seAirlineNoDatas= seAirlineNoDataService.listSeAirlineNoData(newseAirlineNoData);
//            if(!ToolUtils.isEmpty(seAirlineNoDatas)){
//                seAirlineNoDataService.insertSelective(seAirlineNoData);
//            }
//            seAirlineNoDataService.insertSelective(seAirlineNoData);
        }
    }
}
