package com.bjlt.spider.wrapper;

import com.alibaba.fastjson.JSONObject;
import com.bjlt.spider.utils.request.HeaderUtil;
import com.bjlt.spider.utils.request.RequestUtil;
import org.eclipse.jetty.util.UrlEncoded;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.Map;

public class tcWrapper {

    public static void main(String[] args) throws UnsupportedEncodingException {
        System.out.println(System.currentTimeMillis());
        String url ="https://www.ly.com/iflight/flight-book1.aspx?para=0*COK*KUL*2018-06-10**YSCF*1*0*1&advanced=false&orgAirCode=false&desAirCode=false";
        Map<String, String> header = HeaderUtil.getBaseHeader();
        header.put("GetResponseCookie","true");

        String searchHtml = RequestUtil.get(url, RequestUtil.UTF8, header, 0, new JSONObject());
        String cookie = JSONObject.parseObject(searchHtml).getString("cookie");



        //BOOK1TOBOOK2=leaveCity=库奇&arriveCity=吉隆坡&type=0&leaveTime=2018-06-10&backTime=&cabinType=YSCF&passengers=1&adult=1&child=0&leaveCityCode=COK&arriveCityCode=KUL&saveTime=Fri Apr 13 2018 10:47:54 GMT+0800 (中国标准时间)
        cookie+=";BOOK1TOBOOK2=leaveCity%3D%E5%BA%93%E5%A5%87%26arriveCity%3D%E5%90%89%E9%9A%86%E5%9D%A1%26type%3D0%26leaveTime%3D2018-06-10%26backTime%3D%26cabinType%3DYSCF%26passengers%3D1%26adult%3D1%26child%3D0%26leaveCityCode%3DCOK%26arriveCityCode%3DKUL%26saveTime%3DFri%20Apr%2013%202018%2010%3A47%3A54%20GMT%2B0800%20(%E4%B8%AD%E5%9B%BD%E6%A0%87%E5%87%86%E6%97%B6%E9%97%B4)";

        System.out.println(cookie);

        header.put("Cookie",cookie);
        header.put("GetResponseCookie","true");
        String TopLoginHandlerurl ="https://www.ly.com/AjaxHelper/TopLoginHandler.aspx?channel=guojiairticket&action=getBulletin&asyncRefid=0" +
                "&asyncUniqueKey=undefined&date=Fri%20Apr%2013%202018%2010:47:58%20GMT+0800%20(%E4%B8%AD%E5%9B%BD%E6%A0%87%E5%87%86%E6%97%B6%E9%97%B4)" +
                "&_dAjax=callback&callback=jQuery1113024104054904448202_1523587678099&_="+System.currentTimeMillis();
        String topJson = RequestUtil.get(TopLoginHandlerurl, RequestUtil.UTF8, header, 0, new JSONObject());
        String topCookie = JSONObject.parseObject(topJson).getString("cookie");

        System.out.println(topJson);
        cookie +=";"+topCookie;

        System.out.println(cookie);


        String fpUrl ="https://www.ly.com/td/cap/valid/fp?_dAjax=callback&callback=jQuery111306565561049972135_1523593226024&_=1523593226028";

        header.put("Cookie",cookie);
        //header.put("GetResponseCookie","true");
        String fpString = RequestUtil.get(fpUrl, RequestUtil.UTF8, header, 0, new JSONObject());
        //jQuery111306565561049972135_1523593226024({"meta":{"content-length":224,"content-type":"application/json; charset=utf-8","status":200,"vary":"Origin"},"data":{"result":"402404288651927128613533949773,028848240237375320211959122691,224262195787864634216517741492,358244888434382448440406462323,051314808181806880808657562676,235106127603094094182591216172;NtL9f4Dc4CFPV+RTk2yAag=="}})
        fpString = fpString.substring(fpString.indexOf("(") + 1, fpString.lastIndexOf(")"));
        JSONObject fpObject = JSONObject.parseObject(fpString);
        String result = fpObject.getJSONObject("data").getString("result");
       String s1 = result.split("[;]")[1];
        System.out.println(s1);
       String keyUrl ="https://www.ly.com/td/key?_dAjax=callback" +
               "&callback=jQuery111306565561049972135_1523593226024" +
               "&s1=" + URLEncoder.encode(s1,"UTF-8")+
               "&s2=3deb1bf288e6db712b2ca0a4c24a4d155ebba30a79a6f4b062715630e5eaceaf" +
               "&fp=618da591dcc5ca19208ab018a2b9392d" +
               "&t=" +System.currentTimeMillis()/1000+
               "&color_depth=24" +
               "&resolution=1920%2C1080" +
               "&canvas=55edc008edf027bf76f35ba0527412c5" +
               "&webgl=49b596addcae3cf83e8a2a73f6226574" +
               "&ie_plugins=d41d8cd98f00b204e9800998ecf8427e" +
               "&_="+System.currentTimeMillis();

        String newcookie="NewProvinceId=3; NCid=53; NewProvinceName=%E5%8C%97%E4%BA%AC; NCName=%E5%8C%97%E4%BA%AC; Hm_lvt_c6a93e2a75a5b1ef9fb5d4553a2226e5=1523596033; Hm_lpvt_c6a93e2a75a5b1ef9fb5d4553a2226e5=1523597876; qdid=-9999; 17uCNRefId=RefId=0&SEFrom=&SEKeyWords=; TicketSEInfo=RefId=0&SEFrom=&SEKeyWords=; CNSEInfo=RefId=0&tcbdkeyid=&SEFrom=&SEKeyWords=&RefUrl=; BOOK1TOBOOK2=leaveCity%3D%E5%BA%93%E5%A5%87%26arriveCity%3D%E5%90%89%E9%9A%86%E5%9D%A1%26type%3D0%26leaveTime%3D2018-04-16%26backTime%3D%26cabinType%3DYSCF%26passengers%3D1%26adult%3D1%26child%3D0%26leaveCityCode%3DCOK%26arriveCityCode%3DKUL%26saveTime%3DFri%20Apr%2013%202018%2013%3A37%3A57%20GMT%2B0800%20(%E4%B8%AD%E5%9B%BD%E6%A0%87%E5%87%86%E6%97%B6%E9%97%B4); __tctmc=144323752.33637799; __tctmd=144323752.33637799; __tctma=144323752.152359787710171.1523597877018.1523597877018.1523597877018.1; __tctmb=144323752.2099161691308789.1523597877018.1523597877018.1; __tctmu=144323752.0.0; __tctmz=144323752.1523597877018.1.1.utmccn=(direct)|utmcsr=(direct)|utmcmd=(none); longKey=152359787710171; __tctrack=0; _ga=GA1.2.79468243.1523597878; _gat=1; route=bed3b0c027a6d6d252658197499d2aa3";
        header.put("Cookie",newcookie);
        header.put("GetResponseCookie","true");
        header.put("Accept","text/javascript, application/javascript, application/ecmascript, application/x-ecmascript, */*; q=0.01");
        header.put("X-Requested-With","XMLHttpRequest");

        String keyString = RequestUtil.get(keyUrl, RequestUtil.UTF8, header, 0, new JSONObject());
        System.out.println(keyString);





        String cookieUrl ="https://www.ly.com/td/cookie?_dAjax=callback" +
                "&callback=jQuery1113024104054904448202_1523587678099" +
                "&did=z%2FSPWugSuI6kvaXDDMlpG6IJemHgQeMjj4NVNiegIr0WOOvUBA0JxwP6Q6WMLJt7hBVsZGzDvvDP6T1qYzd9t5A8roUhxix334kY2agbc0xusYtU7FS2QMLfIpUZEG8rfy0Y6UCzld89vRKf39uWAHUWVufk73JBDrYeNnY80W4PQaBrWGH5rkkfGgDTWd9dalxPNiAbbMx95iOuXfV5RHolzD0sCcz9IFWPAvkMSuc68nJcRU03SQBTumg2c" +
                "&_=1523587678105";


        header.put("Cookie",cookie);
        header.put("GetResponseCookie","true");
        String cookieString = RequestUtil.get(cookieUrl, RequestUtil.UTF8, header, 0, new JSONObject());
        cookie+=";"+JSONObject.parseObject(cookieString).getString("cookie");
        System.out.println(cookie);


        //最后一步查询
        String jsonurl ="https://www.ly.com/pciflightapi/json/reQuery.html?tdleonid=tdleonid";
        header.put("Content-Type","application/x-www-form-urlencoded; charset=UTF-8");
        header.put("Referer",url);
        header.put("Origin","https://www.ly.com");
        header.put("Cookie",cookie);
        header.put("Host","www.ly.com");
        header.put("Accept","text/plain, */*; q=0.01");
//        header.put("proxyHost","127.0.0.1");
//        header.put("proxyPort","8888");
        String param ="tt=0&ac=KUL&dc=COK&at=&dt=2018-06-10&an=1&cn=0&cabin=Y%7CS%7CC%7CF&tit=1";

        String post = RequestUtil.post(jsonurl, param, RequestUtil.UTF8, header, 0, new JSONObject());
        System.out.println(post);


    }


}

