package com.bjlt.spider.controller;

import com.alibaba.fastjson.JSON;
import com.bjlt.spider.config.Config;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author: luyanan0718@163.com
 * @create :2018/4/12 11:28
 * @introduce : 监控
 **/

@Slf4j
@RestController
public class MonitorController {


	@Autowired
	Config config;


	@GetMapping("monitor")
	public List<Map<String, Object>> monitor() {

		List<Map<String, Object>> monitor =new ArrayList<>();
		config.getMonitor().stream().forEach(mon ->{
			monitor.add(mon);


		});
		log.info("取出的监控数据为--->{}", JSON.toJSONString(monitor));
		config.getMonitor().clear();
		return monitor;


	}


}
