package com.bjlt.spider.dao.impl;

import com.bjlt.spider.dao.SeNewAirlineDao;
import com.bjlt.spider.entity.SeNewAirline;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.*;

import org.springframework.stereotype.Repository;

import java.util.*;
import java.util.stream.*;
/**
* se_new_airline
*/
@Repository
public class SeNewAirlineDaoImpl implements SeNewAirlineDao {
	@Autowired
	private JdbcTemplate jdbcTemplate;



    @Override
    public void insertSelective(SeNewAirline seNewAirline) {
		StringBuffer s = new StringBuffer();
		s.append("insert into se_new_airline(");
        Map<String, Object> m = map(seNewAirline);
        s.append(String.join(",", m.keySet()));
        s.append(") values (");
		List<String> wenhao = m.keySet().stream().map(t -> "?").collect(Collectors.toList());

	s.append(String.join(",", wenhao));
		s.append(")");
        System.out.println(s.toString());
        jdbcTemplate.update(s.toString(), m.values().toArray());
	}

    @Override
    public void updateByPrimaryKeySelective(SeNewAirline seNewAirline) {
		StringBuffer s = new StringBuffer();
		s.append("update se_new_airline set ");
        Map<String, Object> m = map(seNewAirline);
        String update = m.keySet().stream().map(t -> t + "=?").collect(Collectors.joining(","));
        s.append(update);
        System.out.println(update);
        s.append(" where 	id=" + seNewAirline.getId());
        jdbcTemplate.update(s.toString(), m.values().toArray());

	}



    @Override
    public List<SeNewAirline> listSeNewAirline(SeNewAirline seNewAirline) {
        StringBuffer s=new StringBuffer();
        String select = "select id, air_source_id, from_city, from_city_name, to_city, to_city_name, from_country, edit_user, add_time, status,currency_code from se_new_airline ";
        s.append(select );
        Map<String,Object> m=map(seNewAirline);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
        RowMapper<SeNewAirline> rowMapper = new BeanPropertyRowMapper<SeNewAirline>(SeNewAirline.class);
        List<SeNewAirline> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

        return list;
	}
    @Override
	public void  deleteSeNewAirline(SeNewAirline seNewAirline){
		StringBuffer s=new StringBuffer();
		String select = "delete  from se_new_airline ";
        Map<String,Object> m=map(seNewAirline);
        s.append(select);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
		jdbcTemplate.update(s.toString(),m.values().toArray());

	}
	private static Map<String,Object> map(SeNewAirline seNewAirline) {
		Map<String,Object> map=new HashMap();
    	if (seNewAirline.getId() != null) {
            map.put("id",seNewAirline.getId());
    	}
    	if (seNewAirline.getAirSourceId() != null) {
            map.put("air_source_id",seNewAirline.getAirSourceId());
    	}
    	if (seNewAirline.getFromCity() != null && !seNewAirline.getFromCity().equals("")) {
            map.put("from_city",seNewAirline.getFromCity());
    	}
    	if (seNewAirline.getFromCityName() != null && !seNewAirline.getFromCityName().equals("")) {
            map.put("from_city_name",seNewAirline.getFromCityName());
    	}
    	if (seNewAirline.getToCity() != null && !seNewAirline.getToCity().equals("")) {
            map.put("to_city",seNewAirline.getToCity());
    	}
    	if (seNewAirline.getToCityName() != null && !seNewAirline.getToCityName().equals("")) {
            map.put("to_city_name",seNewAirline.getToCityName());
    	}
    	if (seNewAirline.getFromCountry() != null && !seNewAirline.getFromCountry().equals("")) {
            map.put("from_country",seNewAirline.getFromCountry());
    	}
    	if (seNewAirline.getEditUser() != null && !seNewAirline.getEditUser().equals("")) {
            map.put("edit_user",seNewAirline.getEditUser());
    	}
    	if (seNewAirline.getAddTime() != null && !seNewAirline.getAddTime().equals("")) {
            map.put("add_time",seNewAirline.getAddTime());
    	}
    	if (seNewAirline.getStatus() != null) {
            map.put("status",seNewAirline.getStatus());
    	}

		if (seNewAirline.getCurrencyCode() != null) {
			map.put("currency_code",seNewAirline.getCurrencyCode());
		}

		return map;

	}
	private Integer count(String where,Object[] objects) {
		String sql = "select count(*) from se_new_airline " + where;
		return jdbcTemplate.queryForObject(sql, Integer.class,objects);
	}




}
