package com.bjlt.spider.dao.impl;

import com.bjlt.spider.dao.TriptoCustomAddpriceDao;


import com.bjlt.spider.entity.TriptoCustomAddprice;
import com.luyn.date.DatePattren;
import com.luyn.date.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.*;

import org.springframework.stereotype.Repository;

import java.util.*;
import java.util.stream.*;
/**
* tripto_custom_addprice
*/
@Repository
public class TriptoCustomAddpriceDaoImpl implements TriptoCustomAddpriceDao {
	@Autowired
	private JdbcTemplate jdbcTemplate;



	@Override
	public List<TriptoCustomAddprice> listPageTriptoCustomAddprice(TriptoCustomAddprice triptoCustomAddprice) {
		StringBuffer s=new StringBuffer();
		String select = "select id, filename, method, platform, dptAirport, arrAirport, flyStartday, flyEndday, excludeFlyStartday, excludeFlyEndday, flightNoStatus, flightNo, isSalePrice, salePrice, addPricePercent, addPrice, name, webrmbPrice, bigrmbPrice, priceDifference, mark, `enable`, `index`, modifytime, pare_price, priceFrom, priceTo, priceRange, pricePercent from tripto_custom_addprice ";
		s.append(select );
        Map<String,Object> m=map(triptoCustomAddprice);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
		s.append(where);
		s.append(" order by id desc ");
		if (triptoCustomAddprice.getPageNum()!=null && triptoCustomAddprice.getSize()!=null) {
			String limit = " limit " + (triptoCustomAddprice.getPageNum() - 1) * triptoCustomAddprice.getSize() + "," + triptoCustomAddprice.getSize();
			s.append(limit);
		}else if ( triptoCustomAddprice.getSize()!=null){
			String limit = " limit 0," + triptoCustomAddprice.getSize();
			s.append(limit);
		}
		RowMapper<TriptoCustomAddprice> rowMapper = new BeanPropertyRowMapper<TriptoCustomAddprice>(TriptoCustomAddprice.class);
		List<TriptoCustomAddprice> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());
		if(list!=null && list.size()!=0){
			list.get(0).setTotal(count(where,m.values().toArray()));
		}
		return list;
	}



    @Override
    public void insertSelective(TriptoCustomAddprice triptoCustomAddprice) {
		StringBuffer s = new StringBuffer();
		s.append("insert into tripto_custom_addprice(");
        Map<String, Object> m = map(triptoCustomAddprice);
        s.append(String.join(",", m.keySet()));
        s.append(") values (");
		List<String> wenhao = m.keySet().stream().map(t -> "?").collect(Collectors.toList());

	s.append(String.join(",", wenhao));
		s.append(")");
        System.out.println(s.toString());
        jdbcTemplate.update(s.toString(), m.values().toArray());
	}

    @Override
    public void updateByPrimaryKeySelective(TriptoCustomAddprice triptoCustomAddprice) {
		StringBuffer s = new StringBuffer();
		s.append("update tripto_custom_addprice set ");
        Map<String, Object> m = map(triptoCustomAddprice);
        String update = m.keySet().stream().map(t -> t + "=?").collect(Collectors.joining(","));
        s.append(update);
        System.out.println(update);
        s.append(" where 	id=" + triptoCustomAddprice.getId());
        jdbcTemplate.update(s.toString(), m.values().toArray());

	}

    @Override
    public List<TriptoCustomAddprice> listTriptoCustomAddprice(TriptoCustomAddprice triptoCustomAddprice) {
        StringBuffer s=new StringBuffer();
        String select = "select id, filename, method, platform, dptAirport, arrAirport, flyStartday, flyEndday, excludeFlyStartday, " +
				"excludeFlyEndday, flightNoStatus, flightNo, isSalePrice, salePrice, addPricePercent, addPrice, name, webrmbPrice, " +
				"bigrmbPrice, priceDifference, mark, `enable`, `index`, modifytime, pare_price, priceFrom, priceTo, priceRange," +
				" pricePercent,big_seat_count,big_score from tripto_custom_addprice ";
        s.append(select );
        Map<String,Object> m=map(triptoCustomAddprice);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
        RowMapper<TriptoCustomAddprice> rowMapper = new BeanPropertyRowMapper<TriptoCustomAddprice>(TriptoCustomAddprice.class);
        List<TriptoCustomAddprice> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

        return list;
	}
    @Override
	public void  deleteTriptoCustomAddprice(TriptoCustomAddprice triptoCustomAddprice){
		StringBuffer s=new StringBuffer();
		String select = "delete  from tripto_custom_addprice ";
        Map<String,Object> m=map(triptoCustomAddprice);
        s.append(select);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
		jdbcTemplate.update(s.toString(),m.values().toArray());

	}

	@Override
	public void deleteTriptoCustomAddpriceAddLog(String t, String editUser) {
		List<TriptoCustomAddprice> triptoCustomAddprices = listTriptoCustomAddprice(TriptoCustomAddprice.builder().id(Integer.parseInt(t)).build());

		deleteTriptoCustomAddprice(TriptoCustomAddprice.builder().id(Integer.parseInt(t)).build());

		if (triptoCustomAddprices!=null ){
			TriptoCustomAddprice triptoCustomAddprice =triptoCustomAddprices.get(0);
		}

	}

	@Override
	public void updateByPrimaryKeySelectiveAddLog(TriptoCustomAddprice triptoCustomAddprice, String editUser) {
		List<TriptoCustomAddprice> triptoCustomAddprices = listTriptoCustomAddprice(TriptoCustomAddprice.builder().id(triptoCustomAddprice.getId()).build());
		updateByPrimaryKeySelective(triptoCustomAddprice);
		if (triptoCustomAddprices!=null){
			TriptoCustomAddprice triptoCustomAddprice1 = triptoCustomAddprices.get(0);
		}
	}


	private static Map<String,Object> map(TriptoCustomAddprice triptoCustomAddprice) {
		Map<String,Object> map=new HashMap();
    	if (triptoCustomAddprice.getId() != null) {
            map.put("id",triptoCustomAddprice.getId());
    	}
    	if (triptoCustomAddprice.getFilename() != null && !triptoCustomAddprice.getFilename().equals("")) {
            map.put("filename",triptoCustomAddprice.getFilename());
    	}
    	if (triptoCustomAddprice.getMethod() != null && !triptoCustomAddprice.getMethod().equals("")) {
            map.put("method",triptoCustomAddprice.getMethod());
    	}
    	if (triptoCustomAddprice.getPlatform() != null && !triptoCustomAddprice.getPlatform().equals("")) {
            map.put("platform",triptoCustomAddprice.getPlatform());
    	}
    	if (triptoCustomAddprice.getDptAirport() != null && !triptoCustomAddprice.getDptAirport().equals("")) {
            map.put("dptAirport",triptoCustomAddprice.getDptAirport());
    	}
    	if (triptoCustomAddprice.getArrAirport() != null && !triptoCustomAddprice.getArrAirport().equals("")) {
            map.put("arrAirport",triptoCustomAddprice.getArrAirport());
    	}
    	if (triptoCustomAddprice.getFlyStartday() != null && !triptoCustomAddprice.getFlyStartday().equals("")) {
            map.put("flyStartday",triptoCustomAddprice.getFlyStartday());
    	}
    	if (triptoCustomAddprice.getFlyEndday() != null && !triptoCustomAddprice.getFlyEndday().equals("")) {
            map.put("flyEndday",triptoCustomAddprice.getFlyEndday());
    	}
    	if (triptoCustomAddprice.getExcludeFlyStartday() != null && !triptoCustomAddprice.getExcludeFlyStartday().equals("")) {
            map.put("excludeFlyStartday",triptoCustomAddprice.getExcludeFlyStartday());
    	}
    	if (triptoCustomAddprice.getExcludeFlyEndday() != null && !triptoCustomAddprice.getExcludeFlyEndday().equals("")) {
            map.put("excludeFlyEndday",triptoCustomAddprice.getExcludeFlyEndday());
    	}
    	if (triptoCustomAddprice.getFlightNoStatus() != null) {
            map.put("flightNoStatus",triptoCustomAddprice.getFlightNoStatus());
    	}
    	if (triptoCustomAddprice.getFlightNo() != null && !triptoCustomAddprice.getFlightNo().equals("")) {
            map.put("flightNo",triptoCustomAddprice.getFlightNo());
    	}
    	if (triptoCustomAddprice.getIsSalePrice() != null) {
            map.put("isSalePrice",triptoCustomAddprice.getIsSalePrice());
    	}
    	if (triptoCustomAddprice.getSalePrice() != null) {
            map.put("salePrice",triptoCustomAddprice.getSalePrice());
    	}
    	if (triptoCustomAddprice.getAddPricePercent() != null) {
            map.put("addPricePercent",triptoCustomAddprice.getAddPricePercent());
    	}
    	if (triptoCustomAddprice.getAddPrice() != null) {
            map.put("addPrice",triptoCustomAddprice.getAddPrice());
    	}
    	if (triptoCustomAddprice.getName() != null && !triptoCustomAddprice.getName().equals("")) {
            map.put("name",triptoCustomAddprice.getName());
    	}
    	if (triptoCustomAddprice.getWebrmbPrice() != null) {
            map.put("webrmbPrice",triptoCustomAddprice.getWebrmbPrice());
    	}
    	if (triptoCustomAddprice.getBigrmbPrice() != null) {
            map.put("bigrmbPrice",triptoCustomAddprice.getBigrmbPrice());
    	}
    	if (triptoCustomAddprice.getPriceDifference() != null) {
            map.put("priceDifference",triptoCustomAddprice.getPriceDifference());
    	}
    	if (triptoCustomAddprice.getMark() != null && !triptoCustomAddprice.getMark().equals("")) {
            map.put("mark",triptoCustomAddprice.getMark());
    	}
    	if (triptoCustomAddprice.getEnable() != null) {
            map.put("`enable`",triptoCustomAddprice.getEnable());
    	}
    	if (triptoCustomAddprice.getIndex() != null && !triptoCustomAddprice.getIndex().equals("")) {
            map.put("`index`",triptoCustomAddprice.getIndex());
    	}
    	if (triptoCustomAddprice.getModifytime() != null && !triptoCustomAddprice.getModifytime().equals("")) {
            map.put("modifytime",triptoCustomAddprice.getModifytime());
    	}
    	if (triptoCustomAddprice.getParePrice() != null && !triptoCustomAddprice.getParePrice().equals("")) {
            map.put("pare_price",triptoCustomAddprice.getParePrice());
    	}
    	if (triptoCustomAddprice.getPriceFrom() != null) {
            map.put("priceFrom",triptoCustomAddprice.getPriceFrom());
    	}
    	if (triptoCustomAddprice.getPriceTo() != null) {
            map.put("priceTo",triptoCustomAddprice.getPriceTo());
    	}
    	if (triptoCustomAddprice.getPriceRange() != null) {
            map.put("priceRange",triptoCustomAddprice.getPriceRange());
    	}
    	if (triptoCustomAddprice.getPricePercent() != null) {
            map.put("pricePercent",triptoCustomAddprice.getPricePercent());
    	}
    	if (triptoCustomAddprice.getBigSeatCount() != null) {
            map.put("big_seat_count",triptoCustomAddprice.getBigSeatCount());
    	}
		if (triptoCustomAddprice.getBigCore() != null) {
			map.put("big_score", triptoCustomAddprice.getBigCore());
		}

		return map;

	}
	private Integer count(String where,Object[] objects) {
		String sql = "select count(*) from tripto_custom_addprice " + where;
		return jdbcTemplate.queryForObject(sql, Integer.class,objects);
	}




}
