package com.bjlt.spider.entity;

import com.bjlt.spider.util.Page;

/**
 * sc_policy
 */
public class ScPolicy  extends Page {

	/**
	   
	 */
	private Integer id;
	
	/**
	   航司数据源
	 */
	private Integer airSourceGroupId;
	
	/**
	   平台
	 */
	private String cid;
	
	/**
	   出发站三字码
	 */
	private String fromCity;
	
	/**
	   到达站三字码
	 */
	private String toCity;
	
	/**
	   开始时间
	 */
	private String fromDateStart;
	
	/**
	   结束时间
	 */
	private String fromDateEnd;
	
	/**
	   出发排除时间
	 */
	private String excludeFromDateStart;
	
	/**
	   到达排除时间
	 */
	private String excludeFromDateEnd;
	
	/**
	   航班号限制类型：0.不限制 1.限制具体航班号
	 */
	private Integer flightNumberLimitType;
	
	/**
	   航班号
	 */
	private String flightNumberLimit;
	
	/**
	   参考原始价格
	 */
	private java.math.BigDecimal originalPrice;
	
	/**
	   0固定价格，1加减钱
	 */
	private String adjustType;
	
	/**
	   最终价格
	 */
	private java.math.BigDecimal finalPrice;
	
	/**
	   调价百分比
	 */
	private String adjustRadio;
	
	/**
	   加减钱
	 */
	private String addOrSubtractMoney;
	
	/**
	   参考积分价格
	 */
	private String score;
	
	/**
	   低价
	 */
	private java.math.BigDecimal lowPrice;
	
	/**
	   高价
	 */
	private java.math.BigDecimal upPrice;
	
	/**
	   修改人
	 */
	private String editUser;
	
	/**
	   报价人
	 */
	private String bidder;
	
	/**
	   文件编号
	 */
	private String fileNo;
	
	/**
	   
	 */
	private String updateTime;
	
	/**
	   
	 */
	private String addTime;
	
	/**
	   
	 */
	private Integer status;
	
	/**
	   产品类型：9.所有类型 0.低价促销 1.超值套餐 2.商务套餐 3.豪华套餐
	 */
	private String cabinScope;
	
	/**
	   政策来源
	 */
	private String policySource;

	/**
	 * 积分数量
	 */
	private String bigScore;
		

	private String mark;

	private Integer bigSeatCount;

	public Integer getBigSeatCount() {
		return bigSeatCount;
	}

	public void setBigSeatCount(Integer bigSeatCount) {
		this.bigSeatCount = bigSeatCount;
	}

	public String getBigScore() {
		return bigScore;
	}

	public void setBigScore(String bigScore) {
		this.bigScore = bigScore;
	}

	public String getMark() {
		return mark;
	}

	public void setMark(String mark) {
		this.mark = mark;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	} 
	
	public Integer getAirSourceGroupId() {
		return airSourceGroupId;
	}

	public void setAirSourceGroupId(Integer airSourceGroupId) {
		this.airSourceGroupId = airSourceGroupId;
	} 
	
	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	} 
	
	public String getFromCity() {
		return fromCity;
	}

	public void setFromCity(String fromCity) {
		this.fromCity = fromCity;
	} 
	
	public String getToCity() {
		return toCity;
	}

	public void setToCity(String toCity) {
		this.toCity = toCity;
	} 
	
	public String getFromDateStart() {
		return fromDateStart;
	}

	public void setFromDateStart(String fromDateStart) {
		this.fromDateStart = fromDateStart;
	} 
	
	public String getFromDateEnd() {
		return fromDateEnd;
	}

	public void setFromDateEnd(String fromDateEnd) {
		this.fromDateEnd = fromDateEnd;
	} 
	
	public String getExcludeFromDateStart() {
		return excludeFromDateStart;
	}

	public void setExcludeFromDateStart(String excludeFromDateStart) {
		this.excludeFromDateStart = excludeFromDateStart;
	} 
	
	public String getExcludeFromDateEnd() {
		return excludeFromDateEnd;
	}

	public void setExcludeFromDateEnd(String excludeFromDateEnd) {
		this.excludeFromDateEnd = excludeFromDateEnd;
	} 
	
	public Integer getFlightNumberLimitType() {
		return flightNumberLimitType;
	}

	public void setFlightNumberLimitType(Integer flightNumberLimitType) {
		this.flightNumberLimitType = flightNumberLimitType;
	} 
	
	public String getFlightNumberLimit() {
		return flightNumberLimit;
	}

	public void setFlightNumberLimit(String flightNumberLimit) {
		this.flightNumberLimit = flightNumberLimit;
	} 
	
	public java.math.BigDecimal getOriginalPrice() {
		return originalPrice;
	}

	public void setOriginalPrice(java.math.BigDecimal originalPrice) {
		this.originalPrice = originalPrice;
	} 
	
	public String getAdjustType() {
		return adjustType;
	}

	public void setAdjustType(String adjustType) {
		this.adjustType = adjustType;
	} 
	
	public java.math.BigDecimal getFinalPrice() {
		return finalPrice;
	}

	public void setFinalPrice(java.math.BigDecimal finalPrice) {
		this.finalPrice = finalPrice;
	} 
	
	public String getAdjustRadio() {
		return adjustRadio;
	}

	public void setAdjustRadio(String adjustRadio) {
		this.adjustRadio = adjustRadio;
	} 
	
	public String getAddOrSubtractMoney() {
		return addOrSubtractMoney;
	}

	public void setAddOrSubtractMoney(String addOrSubtractMoney) {
		this.addOrSubtractMoney = addOrSubtractMoney;
	} 
	
	public String getScore() {
		return score;
	}

	public void setScore(String score) {
		this.score = score;
	} 
	
	public java.math.BigDecimal getLowPrice() {
		return lowPrice;
	}

	public void setLowPrice(java.math.BigDecimal lowPrice) {
		this.lowPrice = lowPrice;
	} 
	
	public java.math.BigDecimal getUpPrice() {
		return upPrice;
	}

	public void setUpPrice(java.math.BigDecimal upPrice) {
		this.upPrice = upPrice;
	} 
	
	public String getEditUser() {
		return editUser;
	}

	public void setEditUser(String editUser) {
		this.editUser = editUser;
	} 
	
	public String getBidder() {
		return bidder;
	}

	public void setBidder(String bidder) {
		this.bidder = bidder;
	} 
	
	public String getFileNo() {
		return fileNo;
	}

	public void setFileNo(String fileNo) {
		this.fileNo = fileNo;
	} 
	
	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	} 
	
	public String getAddTime() {
		return addTime;
	}

	public void setAddTime(String addTime) {
		this.addTime = addTime;
	} 
	
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	} 
	
	public String getCabinScope() {
		return cabinScope;
	}

	public void setCabinScope(String cabinScope) {
		this.cabinScope = cabinScope;
	} 
	
	public String getPolicySource() {
		return policySource;
	}

	public void setPolicySource(String policySource) {
		this.policySource = policySource;
	} 
	

}
