package com.bjlt.spider.runner;

import com.bjlt.spider.listener.AirSoureLineListenter;
import com.bjlt.spider.runner.small.SmallAirSoureLineListenter;

import javax.jms.*;

/**
 * @author: luyanan0718@163.com
 * @create :2018/4/11 9:45
 * @introduce :
 **/

public class ActiveMQConnectionHandler implements Runnable {


	private Connection conn;
	private Session session;

	private Destination destination;



	public ActiveMQConnectionHandler(Connection conn, Session session, Destination destination) {
		this.conn = conn;
		this.session = session;
		this.destination = destination;
	}

	@Override
	public void run() {
		try {

			session = conn.createSession(false, Session.AUTO_ACKNOWLEDGE);
			MessageConsumer consumer = session.createConsumer(destination);
			consumer.setMessageListener(new SmallAirSoureLineListenter());
			conn.start();
		} catch (JMSException e) {
			e.printStackTrace();
		}

	}
}
