package com.bjlt.spider.service.impl;
import java.io.File;
import java.math.BigDecimal;
import java.sql.SQLException;
import java.util.*;
import com.bjlt.spider.dao.TriptoCustomAddpriceDao;
import com.bjlt.spider.datasources.DataSourceNames;
import com.bjlt.spider.datasources.annotation.DataSource;
import com.bjlt.spider.entity.TriptoCustomAddprice;
import com.bjlt.spider.service.TriptoCustomAddpriceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

/**
 * tripto_custom_addprice
 */
@Service
public  class TriptoCustomAddpriceServiceImpl implements TriptoCustomAddpriceService {
    @Autowired
	private TriptoCustomAddpriceDao triptoCustomAddpriceDao;


	
	@Override
	@DataSource(name = DataSourceNames.SECOND)
	public List<TriptoCustomAddprice> listPageTriptoCustomAddprice(TriptoCustomAddprice triptoCustomAddprice){
		return triptoCustomAddpriceDao.listPageTriptoCustomAddprice(triptoCustomAddprice);
	}

	@Override
	@DataSource(name = DataSourceNames.SECOND)
	public List<TriptoCustomAddprice> listTriptoCustomAddprice(TriptoCustomAddprice triptoCustomAddprice){
	    return triptoCustomAddpriceDao.listTriptoCustomAddprice(triptoCustomAddprice);
	}  

	
	@Override
	@DataSource(name = DataSourceNames.SECOND)
	public void  deleteTriptoCustomAddprice(TriptoCustomAddprice triptoCustomAddprice){
	     triptoCustomAddpriceDao.deleteTriptoCustomAddprice(triptoCustomAddprice);
	}
	

	
	@Override
	@DataSource(name = DataSourceNames.SECOND)
	public void insertSelective(TriptoCustomAddprice triptoCustomAddprice){
	 triptoCustomAddpriceDao.insertSelective(triptoCustomAddprice);
	}
	
	@Override
	@DataSource(name = DataSourceNames.SECOND)
	public void updateByPrimaryKeySelective(TriptoCustomAddprice triptoCustomAddprice){
		 triptoCustomAddpriceDao.updateByPrimaryKeySelective(triptoCustomAddprice);
	}

	@Override
	@DataSource(name = DataSourceNames.SECOND)
	public void deleteTriptoCustomAddpriceAddLog(String t, String editUser) {
		triptoCustomAddpriceDao.deleteTriptoCustomAddpriceAddLog(t,editUser);
	}

	@Override
	@DataSource(name = DataSourceNames.SECOND)
	public void updateByPrimaryKeySelectiveAddLog(TriptoCustomAddprice triptoCustomAddprice,String editUser) {
		triptoCustomAddpriceDao.updateByPrimaryKeySelectiveAddLog(triptoCustomAddprice,editUser);
	}

//	@Override
//	@DataSource(name = DataSourceNames.SECOND)
//	public RespEntity storePolicyExcel(MultipartFile excel, String uname) {
//		File file = FileUtil.StoreFile(Excelpath, excel);
//		//开始解析 Excel't
//		List<TriptoCustomAddprice> excelEntities = parseExcelToPolicyEntityList(file);
//
//		try {
//			//开始入库t
//			excelEntities.stream().forEach(t -> {
//				List<PolicyEntity> oaAccounts = null;
//					if ("".equals(t.getName())|| t.getName()==null){
//						t.setName(uname);
//					}
//					triptoCustomAddpriceDao.insertSelective(t);
//			});
//		} catch (Exception e) {
//			e.printStackTrace();
//			return RespEntity.error("上传失败");
//		}
//
//		return RespEntity.success(null);
//	}

//	public  List<TriptoCustomAddprice>  parseExcelToPolicyEntityList(File file) {
//		List<TriptoCustomAddprice> policyEntities = Lists.newArrayList();
//		try {
//			Workbook book = Workbook.getWorkbook(file);
//
//			Sheet sheet = book.getSheet(0);
//			int rows = sheet.getRows();
//			for (int j = 1; j < rows; j++) {
//				String filename = sheet.getCell(1, j).getContents();
//				if (filename!=null && !"".equals(filename)){
//					String platform = sheet.getCell(0, j).getContents();
//
//					String enable = sheet.getCell(2,j).getContents();
//					if ("有效".equals(enable)){
//						enable="1";
//					}else if("无效".equals(enable)){
//						enable="0";
//					}else{
//						enable="3";
//					}
//					String method = sheet.getCell(3,j).getContents().trim();
//
//					String dptAirport = sheet.getCell(4,j).getContents();
//
//					String arrAirport = sheet.getCell(5,j).getContents();
//
//					String flyStartday = sheet.getCell(6,j).getContents();
//
//					String flyEndday = sheet.getCell(7,j).getContents();
//					String excludeFlyStartday = sheet.getCell(8,j).getContents();
//
//					String excludeFlyEndday = sheet.getCell(9,j).getContents();
//					String flightNoStatus = sheet.getCell(10,j).getContents();
//					if ("适用".equals(flightNoStatus)){
//						flightNoStatus="1";
//					}else if ("排除".equals(flightNoStatus)){
//						flightNoStatus="2";
//					}else {
//						flightNoStatus="3";
//					}
//					String flightNo = sheet.getCell(11,j).getContents();
//
//					String isSalePrice = sheet.getCell(12,j).getContents();
//					if ("固定价格".equals(isSalePrice)){
//						isSalePrice="1";
//					}else {
//						isSalePrice="0";
//					}
//					String salePrice = sheet.getCell(13,j).getContents();
//					String addPrice = sheet.getCell(14,j).getContents();
//					String addPricePercent = sheet.getCell(15,j).getContents();
//
//					String webrmbPrice = sheet.getCell(16,j).getContents();
//					String bigrmbPrice = sheet.getCell(17,j).getContents();
//					//0,1,2,3
//					String priceDifference = sheet.getCell(18,j).getContents();
//					String priceFrom = sheet.getCell(19,j).getContents();
//					String priceTo = sheet.getCell(20,j).getContents();
//					String priceRange = sheet.getCell(21,j).getContents();
//					String pricePercent = sheet.getCell(22,j).getContents();
//					String mark = sheet.getCell(23,j).getContents();
//
//					TriptoCustomAddprice triptoCustomAddprice = TriptoCustomAddprice.builder()
//							.filename(filename.trim())
//							.platform(platform.trim())
//							.enable(Integer.parseInt(enable))
//							.method(method)
//							.dptAirport(dptAirport.trim())
//							.arrAirport(arrAirport.trim())
//							.flyStartday(flyStartday)
//							.flyEndday(flyEndday)
//							.excludeFlyStartday(excludeFlyStartday)
//							.excludeFlyEndday(excludeFlyEndday)
//							.flightNoStatus(Integer.parseInt(flightNoStatus))
//							.flightNo(flightNo)
//							.isSalePrice(Integer.parseInt(isSalePrice))
//							.salePrice(Double.valueOf(salePrice))
//							.addPrice(Integer.parseInt(addPrice))
//							.addPricePercent(Double.valueOf(addPricePercent))
//							.webrmbPrice(Double.valueOf(webrmbPrice))
////                        .bidder(bidder)
//							.bigrmbPrice(Double.valueOf(bigrmbPrice))
//							.priceDifference(Double.valueOf(priceDifference))
//							.priceFrom(Double.valueOf(priceFrom))
//							.priceTo(Double.valueOf(priceTo))
//							.priceRange(Double.valueOf(priceRange))
//							.pricePercent(Double.valueOf(pricePercent))
//							.index(dptAirport
//									+"~"+arrAirport
//									+"~"+method
//									+"~"+flyStartday
//									+"~"+flyEndday
//									+"~"+flightNo
//									+"~"+platform
//									+"~"+isSalePrice)
//							.modifytime(DateUtil.getFormatDate(new Date(),DatePattren.TIME_FORMAT))
//							.mark(mark).build();
//
//					policyEntities.add(triptoCustomAddprice);
//				}
//			}
//			book.close();
//		} catch (Exception e) {
//			e.printStackTrace();
//		}
//		return policyEntities;
//	}


}