package com.bjlt.spider.thread;

import com.bjlt.spider.entity.SeNewAirline;
import com.bjlt.spider.service.SeNewAirlineService;
import com.bjlt.spider.utils.SpringContextUtils;
import com.bjlt.spider.utils.request.ToolUtils;

import java.util.List;

/**
 *保存新的航线 方便以后用
*@autor zhuyangxu
*@date 2018/4/1011:11
*/
public class SaveNewAirLineThread extends  Thread{


    private SeNewAirlineService seNewAirlineService = SpringContextUtils.getBean(SeNewAirlineService.class);


    private String fromCity;


    private String toCity;

    private String currencyCode;

    public SaveNewAirLineThread(String fromCity, String toCity,String currencyCode) {
        this.fromCity = fromCity;
        this.toCity = toCity;
        this.currencyCode = currencyCode;
    }

    @Override
    public void run() {
        SeNewAirline seNewAirline = SeNewAirline.builder().fromCity(fromCity).toCity(toCity).status(1).build();
        List<SeNewAirline> seNewAirlines = seNewAirlineService.listSeNewAirline(seNewAirline);
        if(ToolUtils.isEmpty(seNewAirlines)){
            SeNewAirline newseNewAirline = SeNewAirline.builder().fromCity(fromCity).toCity(toCity).airSourceId(1)
                    .currencyCode(currencyCode).status(1).build();
            seNewAirlineService.insertSelective(newseNewAirline);
        }

    }
}
