package com.bjlt.spider.small;

import com.alibaba.fastjson.JSON;
import com.bjlt.spider.entity.AirlinePriceInfo;
import com.bjlt.spider.entity.RouteInfoEntity;
import com.bjlt.spider.entity.ScPolicy;
import com.bjlt.spider.service.impl.SmallAirLineServiceImpl;
import org.junit.Test;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author: luyanan0718@163.com
 * @create :2018/4/11 12:36
 * @introduce :
 **/

public class SmallAirLineServiceImplTest {


	@Test
	public  void compareRouteInfoEntitiesTest(){
		ScPolicy scPolicy = new ScPolicy();
		scPolicy.setFlightNumberLimit("AK161/FD1151");
		RouteInfoEntity routeInfoEntity = new RouteInfoEntity();
		routeInfoEntity.setFlightNumber("AK161");
		RouteInfoEntity routeInfoEntity1 = new RouteInfoEntity();
		routeInfoEntity1.setFlightNumber("FD151");
		List<RouteInfoEntity> routeInfoEntities = new ArrayList<>();
		routeInfoEntities.add(routeInfoEntity);
		routeInfoEntities.add(routeInfoEntity1);
		SmallAirLineServiceImpl smallAirLineService = new SmallAirLineServiceImpl();
		boolean  flg = smallAirLineService.compareRouteInfoEntities(scPolicy.getFlightNumberLimit(),routeInfoEntities);
		System.out.println(flg);
	}




	@Test
	public  void cheapestPriceTest(){
		List<AirlinePriceInfo> airlinePriceInfos   = new ArrayList<>();
		AirlinePriceInfo airlinePriceInfo = new AirlinePriceInfo();
		airlinePriceInfo.setAdultPrice(new BigDecimal(100));
		airlinePriceInfo.setCabin("EC");
		airlinePriceInfos.add(airlinePriceInfo);

		AirlinePriceInfo airlinePriceInfo1 = new AirlinePriceInfo();
		airlinePriceInfo1.setAdultPrice(new BigDecimal(102));
		airlinePriceInfo1.setCabin("EC");
		airlinePriceInfos.add(airlinePriceInfo1);

		AirlinePriceInfo airlinePriceInfo2 = new AirlinePriceInfo();
		airlinePriceInfo2.setAdultPrice(new BigDecimal(90));
		airlinePriceInfo2.setCabin("PM");
		airlinePriceInfos.add(airlinePriceInfo2);

		AirlinePriceInfo airlinePriceInfo3 = new AirlinePriceInfo();
		airlinePriceInfo3.setAdultPrice(new BigDecimal(1100));
		airlinePriceInfo3.setCabin("EC");
		airlinePriceInfos.add(airlinePriceInfo3);
		SmallAirLineServiceImpl smallAirLineService = new SmallAirLineServiceImpl();

		AirlinePriceInfo result = 	smallAirLineService.cheapestPrice(airlinePriceInfos);
		System.out.println(JSON.toJSONString(result));
	}

}
